import { Component, OnInit } from '@angular/core';
import {FormBuilder, Validators} from '@angular/forms';
import {BsModalRef} from 'ngx-bootstrap/modal';
import { FrameDetailComponent } from '../../../frame/core/detail/frame.detail';
import { AjaxService } from '../../../../core/service/ajax.service';
import { FuncService } from '../../../../core/service/func.service';
import { MsgService } from '../../../../core/service/msg.service';


@Component({
  selector: 'app-cf-final-review-pdf',
  templateUrl: './final-review-pdf.component.html',
  styleUrls: ['./final-review-pdf.component.scss']
})
export class FinalReviewPdfComponent extends FrameDetailComponent implements OnInit {
  pdfSrc = "";
  cMapsUrl = "";
  constructor(bsModalRef: BsModalRef, fb: FormBuilder) {
    super(bsModalRef);
    (<any>window).pdfWorkerSrc = '/m/assets/plugins/pdfjs/pdf.worker.min.js';
    debugger;
  }

  ngOnInit() {
    debugger;
    //this.pdfSrc = "https://vadimdez.github.io/ng2-pdf-viewer/assets/pdf-test.pdf";
    this.pdfSrc = this.ResponseEntity.file_path;
  }
  
  fileLoadCompeleted() {
    debugger;
  }

  onError() {
    debugger;
  }

  handleImageEvent() {

  }


}
